# Generated by Django 2.1.3 on 2020-03-23 14:57

from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('devices', '0002_auto_20200319_1111'),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalIPRange',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('mask', models.PositiveSmallIntegerField(validators=[django.core.validators.MaxValueValidator(30)])),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('ip', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.IPTable')),
            ],
            options={
                'verbose_name': 'historical ip range',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalMACTable',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('mac', models.CharField(db_index=True, max_length=17)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical mac table',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='IPRange',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('mask', models.PositiveSmallIntegerField(validators=[django.core.validators.MaxValueValidator(30)])),
                ('ip', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='devices.IPTable')),
            ],
            options={
                'ordering': ['-ip'],
            },
        ),
        migrations.CreateModel(
            name='MACTable',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('mac', models.CharField(db_index=True, max_length=17)),
            ],
            options={
                'ordering': ['-id'],
            },
        ),
        migrations.RemoveField(
            model_name='historicalmacolts',
            name='history_user',
        ),
        migrations.RemoveField(
            model_name='historicalmacolts',
            name='olt',
        ),
        migrations.RemoveField(
            model_name='historicalmaconus',
            name='history_user',
        ),
        migrations.RemoveField(
            model_name='historicalmaconus',
            name='onu',
        ),
        migrations.RemoveField(
            model_name='macolts',
            name='olt',
        ),
        migrations.RemoveField(
            model_name='maconus',
            name='onu',
        ),
        migrations.AlterField(
            model_name='historicalolt',
            name='mac',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.MACTable'),
        ),
        migrations.AlterField(
            model_name='historicalolt',
            name='mac_secondary',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.MACTable'),
        ),
        migrations.AlterField(
            model_name='historicalonu',
            name='mac',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.MACTable'),
        ),
        migrations.AlterField(
            model_name='historicalonuhistorical',
            name='mac',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='devices.MACTable'),
        ),
        migrations.AlterField(
            model_name='olt',
            name='mac',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='devices.MACTable'),
        ),
        migrations.AlterField(
            model_name='olt',
            name='mac_secondary',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='olt_secondary', to='devices.MACTable'),
        ),
        migrations.AlterField(
            model_name='onu',
            name='mac',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='devices.MACTable'),
        ),
        migrations.AlterField(
            model_name='onuhistorical',
            name='mac',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='devices.MACTable'),
        ),
        migrations.DeleteModel(
            name='HistoricalMacOLTS',
        ),
        migrations.DeleteModel(
            name='HistoricalMacONUS',
        ),
        migrations.DeleteModel(
            name='MacOLTS',
        ),
        migrations.DeleteModel(
            name='MacONUS',
        ),








        migrations.RemoveField(
            model_name='historicaliponus',
            name='history_user',
        ),
        migrations.RemoveField(
            model_name='historicaliponus',
            name='ip',
        ),
        migrations.RemoveField(
            model_name='historicaliponus',
            name='onu',
        ),
        migrations.RemoveField(
            model_name='historicalmoredetailolts',
            name='history_user',
        ),
        migrations.RemoveField(
            model_name='historicalmoredetailolts',
            name='olt',
        ),
        migrations.RemoveField(
            model_name='historicalmoredetailonus',
            name='history_user',
        ),
        migrations.RemoveField(
            model_name='historicalmoredetailonus',
            name='onu',
        ),
        migrations.RemoveField(
            model_name='historicalonuhistorical',
            name='history_user',
        ),
        migrations.RemoveField(
            model_name='historicalonuhistorical',
            name='ip',
        ),
        migrations.RemoveField(
            model_name='historicalonuhistorical',
            name='mac',
        ),
        migrations.RemoveField(
            model_name='historicalonuhistorical',
            name='model',
        ),
        migrations.RemoveField(
            model_name='historicalonuhistorical',
            name='olt',
        ),
        migrations.RemoveField(
            model_name='historicalonuhistorical',
            name='onu_origin',
        ),
        migrations.RemoveField(
            model_name='historicalonuhistorical',
            name='service',
        ),
        migrations.RemoveField(
            model_name='historicalstatusonus',
            name='history_user',
        ),
        migrations.RemoveField(
            model_name='historicalstatusonus',
            name='onu',
        ),
        migrations.RemoveField(
            model_name='iponus',
            name='ip',
        ),
        migrations.RemoveField(
            model_name='iponus',
            name='onu',
        ),
        migrations.RemoveField(
            model_name='moredetailolts',
            name='olt',
        ),
        migrations.RemoveField(
            model_name='moredetailonus',
            name='onu',
        ),
        migrations.RemoveField(
            model_name='onuhistorical',
            name='ip',
        ),
        migrations.RemoveField(
            model_name='onuhistorical',
            name='mac',
        ),
        migrations.RemoveField(
            model_name='onuhistorical',
            name='model',
        ),
        migrations.RemoveField(
            model_name='onuhistorical',
            name='olt',
        ),
        migrations.RemoveField(
            model_name='onuhistorical',
            name='onu_origin',
        ),
        migrations.RemoveField(
            model_name='onuhistorical',
            name='service',
        ),
        migrations.AlterUniqueTogether(
            name='statusonus',
            unique_together=set(),
        ),
        migrations.RemoveField(
            model_name='statusonus',
            name='onu',
        ),
        migrations.AddField(
            model_name='historicalonu',
            name='deleted_reason',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='historicalonu',
            name='deleted_sentinel',
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name='onu',
            name='deleted_reason',
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='onu',
            name='deleted_sentinel',
            field=models.BooleanField(default=False),
        ),
        migrations.DeleteModel(
            name='HistoricalIpONUS',
        ),
        migrations.DeleteModel(
            name='HistoricalMoreDetailOLTS',
        ),
        migrations.DeleteModel(
            name='HistoricalMoreDetailONUS',
        ),
        migrations.DeleteModel(
            name='HistoricalONUHistorical',
        ),
        migrations.DeleteModel(
            name='HistoricalStatusONUS',
        ),
        migrations.DeleteModel(
            name='IpONUS',
        ),
        migrations.DeleteModel(
            name='MoreDetailOLTS',
        ),
        migrations.DeleteModel(
            name='MoreDetailONUS',
        ),
        migrations.DeleteModel(
            name='ONUHistorical',
        ),
        migrations.DeleteModel(
            name='StatusONUS',
        ),
    ]
